cURL
curl --request GET \
--url https://sahabah-prod.devops.arabiaweather.com/api/weather/models/{model}/preview \
--header 'x-api-key: <x-api-key>'import requests
url = "https://sahabah-prod.devops.arabiaweather.com/api/weather/models/{model}/preview"
headers = {"x-api-key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
fetch('https://sahabah-prod.devops.arabiaweather.com/api/weather/models/{model}/preview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Weather
Get apiweathermodels preview
Get preview image for a model using provided query and style (style as a JSON object in ‘style’ query param)
GET
/
api
/
weather
/
models
/
{model}
/
preview
cURL
Headers
API key for authentication
Path Parameters
Weather model ID (e.g., gfs, ec25, icon, gem)
Query Parameters
Field expression to render
Style object as JSON (all keys optional)
Response
Layer preview image successfully retrieved
⌘I

